## gsw 1.0-3

=== DESCRIPTION ===
Package: gsw
Version: 1.0-3
Date: 2015-01-11
Title: Gibbs Sea Water Functions
Authors@R: c(person("Dan", "Kelley", role=c("aut","cre","cph"), email="dan.kelley@dal.ca", comment="C wrapper plus R code, tests, and documentation"), person("Clark", "Richards", role=c("aut","cph"), email="clark.richards@gmail.com", comment="C wrapper plus R code, tests, and documentation"), person("WG127", "SCOR/IAPSO", role=c("aut","cph"), comment="Original Matlab and derived code"))
Copyright: Original algorithms and Matlab/C library (c) 2014 WG127
        SCOR/IAPSO (Scientific Committee on Oceanic Research /
        International Association for the Physical Sciences of the
        Oceans, Working Group 127); C wrapper code and R code (c) 2015
        Dan Kelley and Clark Richards
Maintainer: Dan Kelley <dan.kelley@dal.ca>
Depends: R (>= 2.15)
BugReports: https://github.com/TEOS-10/GSW-R/issues
Description: Provides an interface to the Gibbs SeaWater (TEOS-10) C library, which derives from Matlab and other code written by WG127 (Working Group 127) of SCOR/IAPSO (Scientific Committee on Oceanic Research / International Association for the Physical Sciences of the Oceans).
URL: http://teos-10.github.io/GSW-R/index.html
License: GPL (>= 2) | file LICENSE
LazyData: no
Packaged: 2015-01-19 15:17:55.139 UTC; kelley
Imports: utils
Author: Dan Kelley [aut, cre, cph] (C wrapper plus R code, tests, and
    documentation),
  Clark Richards [aut, cph] (C wrapper plus R code, tests, and
    documentation),
  WG127 SCOR/IAPSO [aut, cph] (Original Matlab and derived code)
NeedsCompilation: yes
Repository: CRAN
Date/Publication: 2015-01-19 18:43:55

## gsw 1.0-4

=== DESCRIPTION ===
Package: gsw
Version: 1.0-4
Date: 2017-07-31
Title: Gibbs Sea Water Functions
Authors@R: c(person("Dan", "Kelley", role=c("aut","cre","cph"), email="dan.kelley@dal.ca", comment="C wrapper plus R code, tests, and documentation"), person("Clark", "Richards", role=c("aut","cph"), email="clark.richards@gmail.com", comment="C wrapper plus R code, tests, and documentation"), person("WG127", "SCOR/IAPSO", role=c("aut","cph"), comment="Original 'Matlab' and derived code"))
Copyright: Original algorithms and 'Matlab'/C library (c) 2015-2017
        WG127 SCOR/IAPSO (Scientific Committee on Oceanic Research /
        International Association for the Physical Sciences of the
        Oceans, Working Group 127); C wrapper code and R code (c)
        2015-2017 Dan Kelley and Clark Richards
Maintainer: Dan Kelley <dan.kelley@dal.ca>
Depends: R (>= 2.15), testthat
Suggests: knitr,
BugReports: https://github.com/TEOS-10/GSW-R/issues
Description: Provides an interface to the Gibbs 'SeaWater' ('TEOS-10') C
    library, version 3.05 (commit '13ab33cea0e9059d3b3f3dfef78e9591c94af9f8', dated 2017-07-27,
    available at <https://github.com/TEOS-10/GSW-C>, which stems from
    'Matlab' and other code written by members of Working Group 127 of
    'SCOR'/'IAPSO' (Scientific Committee on Oceanic Research /
    International Association for the Physical Sciences of the Oceans).
URL: http://teos-10.github.io/GSW-R/index.html
License: GPL (>= 2) | file LICENSE
LazyLoad: yes
LazyData: no
Packaged: 2017-08-01 13:55:29 UTC; kelley
Encoding: UTF-8
RoxygenNote: 6.0.1
VignetteBuilder: knitr
NeedsCompilation: yes
Author: Dan Kelley [aut, cre, cph] (C wrapper plus R code, tests, and
    documentation),
  Clark Richards [aut, cph] (C wrapper plus R code, tests, and
    documentation),
  WG127 SCOR/IAPSO [aut, cph] (Original 'Matlab' and derived code)
Repository: CRAN
Date/Publication: 2017-08-02 04:54:18 UTC

## gsw 1.0-5

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: gsw
-Version: 1.0-4
-Date: 2017-07-31
+Version: 1.0-5
+Date: 2017-08-08
 Title: Gibbs Sea Water Functions
 Authors@R: c(person("Dan", "Kelley", role=c("aut","cre","cph"), email="dan.kelley@dal.ca", comment="C wrapper plus R code, tests, and documentation"), person("Clark", "Richards", role=c("aut","cph"), email="clark.richards@gmail.com", comment="C wrapper plus R code, tests, and documentation"), person("WG127", "SCOR/IAPSO", role=c("aut","cph"), comment="Original 'Matlab' and derived code"))
 Copyright: Original algorithms and 'Matlab'/C library (c) 2015-2017
@@ -13,7 +13,7 @@
 Suggests: knitr,
 BugReports: https://github.com/TEOS-10/GSW-R/issues
 Description: Provides an interface to the Gibbs 'SeaWater' ('TEOS-10') C
-    library, version 3.05 (commit '13ab33cea0e9059d3b3f3dfef78e9591c94af9f8', dated 2017-07-27,
+    library, version 3.05-4 (commit '5b4d959e54031f9e972f3e863f63e67fa4f5bfec', dated 2017-08-07,
     available at <https://github.com/TEOS-10/GSW-C>, which stems from
     'Matlab' and other code written by members of Working Group 127 of
     'SCOR'/'IAPSO' (Scientific Committee on Oceanic Research /
@@ -22,7 +22,7 @@
 License: GPL (>= 2) | file LICENSE
 LazyLoad: yes
 LazyData: no
-Packaged: 2017-08-01 13:55:29 UTC; kelley
+Packaged: 2017-08-09 14:47:12 UTC; kelley
 Encoding: UTF-8
 RoxygenNote: 6.0.1
 VignetteBuilder: knitr
@@ -33,4 +33,4 @@
     documentation),
   WG127 SCOR/IAPSO [aut, cph] (Original 'Matlab' and derived code)
 Repository: CRAN
-Date/Publication: 2017-08-02 04:54:18 UTC
+Date/Publication: 2017-08-09 21:05:24 UTC

## gsw 1.0-6

=== DESCRIPTION ===
Package: gsw
Version: 1.0-6
Title: Gibbs Sea Water Functions
Authors@R: c(
        person(given="Dan",
            family="Kelley",
            email="dan.kelley@dal.ca",
            role=c("aut","cre","cph"),
            comment=c(ORCID="https://orcid.org/0000-0001-7808-5911")),
        person(given="Clark",
            family="Richards",
            email="clark.richards@gmail.com",
            role=c("aut","cph"),
            comment=c(ORCID="https://orcid.org/0000-0002-7833-206X")),
        person(given="WG127",
            family="SCOR/IAPSO",
            role=c("aut","cph"),
            comment="Original 'Matlab' and derived code"))
Copyright: Original algorithms and 'Matlab'/C library (c) 2015-2021
        WG127 SCOR/IAPSO (Scientific Committee on Oceanic Research /
        International Association for the Physical Sciences of the
        Oceans, Working Group 127); C wrapper code and R code (c)
        2015-2021 Dan Kelley and Clark Richards
Maintainer: Dan Kelley <dan.kelley@dal.ca>
Depends: R (>= 3.5.0),
Suggests: knitr, rmarkdown, testthat
BugReports: https://github.com/TEOS-10/GSW-R/issues
Description: Provides an interface to the Gibbs 'SeaWater' ('TEOS-10') C library, version 3.05 (commit 'f7bfebf44f686034636facb09852f1d5760c27f5', dated 2021-03-27, available at <https://github.com/TEOS-10/GSW-C>, which stems from 'Matlab' and other code written by members of Working Group 127 of 'SCOR'/'IAPSO' (Scientific Committee on Oceanic Research / International Association for the Physical Sciences of the Oceans).
URL: http://teos-10.github.io/GSW-R/,
        https://teos-10.github.io/GSW-R/index.html
License: GPL (>= 2) | file LICENSE
LazyLoad: yes
LazyData: no
Packaged: 2021-07-07 17:05:52 UTC; kelley
Encoding: UTF-8
RoxygenNote: 7.1.1
BuildVignettes: true
VignetteBuilder: knitr
NeedsCompilation: yes
Author: Dan Kelley [aut, cre, cph] (<https://orcid.org/0000-0001-7808-5911>),
  Clark Richards [aut, cph] (<https://orcid.org/0000-0002-7833-206X>),
  WG127 SCOR/IAPSO [aut, cph] (Original 'Matlab' and derived code)
Repository: CRAN
Date/Publication: 2021-07-07 17:30:02 UTC

## gsw 1.1-1

=== DESCRIPTION ===
Package: gsw
Version: 1.1-1
Title: Gibbs Sea Water Functions
Authors@R: c(
        person(given="Dan",
            family="Kelley",
            email="dan.kelley@dal.ca",
            role=c("aut","cre","cph"),
            comment=c(ORCID="https://orcid.org/0000-0001-7808-5911")),
        person(given="Clark",
            family="Richards",
            email="clark.richards@gmail.com",
            role=c("aut","cph"),
            comment=c(ORCID="https://orcid.org/0000-0002-7833-206X")),
        person(given="WG127",
            family="SCOR/IAPSO",
            role=c("aut","cph"),
            comment="Original 'Matlab' and derived code"))
Copyright: Original algorithms and 'Matlab'/C library (c) 2015-2022
        WG127 SCOR/IAPSO (Scientific Committee on Oceanic Research /
        International Association for the Physical Sciences of the
        Oceans, Working Group 127); C wrapper code and R code (c)
        2015-2021 Dan Kelley and Clark Richards
Maintainer: Dan Kelley <dan.kelley@dal.ca>
Depends: R (>= 3.5.0),
Suggests: knitr, rmarkdown, testthat
BugReports: https://github.com/TEOS-10/GSW-R/issues
Description: Provides an interface to the Gibbs 'SeaWater' ('TEOS-10') C library, version 3.06-16-0 (commit '657216dd4f5ea079b5f0e021a4163e2d26893371', dated 2022-10-11, available at <https://github.com/TEOS-10/GSW-C>, which stems from 'Matlab' and other code written by members of Working Group 127 of 'SCOR'/'IAPSO' (Scientific Committee on Oceanic Research / International Association for the Physical Sciences of the Oceans).
URL: http://teos-10.github.io/GSW-R/
License: GPL (>= 2) | file LICENSE
LazyLoad: yes
LazyData: no
Packaged: 2022-10-16 10:21:26 UTC; kelley
Encoding: UTF-8
RoxygenNote: 7.2.1
BuildVignettes: true
VignetteBuilder: knitr
NeedsCompilation: yes
Author: Dan Kelley [aut, cre, cph] (<https://orcid.org/0000-0001-7808-5911>),
  Clark Richards [aut, cph] (<https://orcid.org/0000-0002-7833-206X>),
  WG127 SCOR/IAPSO [aut, cph] (Original 'Matlab' and derived code)
Repository: CRAN
Date/Publication: 2022-10-16 11:32:32 UTC

## gsw 1.2-0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: gsw
-Version: 1.1-1
+Version: 1.2-0
 Title: Gibbs Sea Water Functions
 Authors@R: c(
         person(given="Dan",
@@ -16,11 +16,11 @@
             family="SCOR/IAPSO",
             role=c("aut","cph"),
             comment="Original 'Matlab' and derived code"))
-Copyright: Original algorithms and 'Matlab'/C library (c) 2015-2022
+Copyright: Original algorithms and 'Matlab'/C library (c) 2015-2023
         WG127 SCOR/IAPSO (Scientific Committee on Oceanic Research /
         International Association for the Physical Sciences of the
         Oceans, Working Group 127); C wrapper code and R code (c)
-        2015-2021 Dan Kelley and Clark Richards
+        2015-2023 Dan Kelley and Clark Richards
 Maintainer: Dan Kelley <dan.kelley@dal.ca>
 Depends: R (>= 3.5.0),
 Suggests: knitr, rmarkdown, testthat
@@ -30,9 +30,9 @@
 License: GPL (>= 2) | file LICENSE
 LazyLoad: yes
 LazyData: no
-Packaged: 2022-10-16 10:21:26 UTC; kelley
+Packaged: 2024-08-19 16:29:53 UTC; kelley
 Encoding: UTF-8
-RoxygenNote: 7.2.1
+RoxygenNote: 7.3.2
 BuildVignettes: true
 VignetteBuilder: knitr
 NeedsCompilation: yes
@@ -40,4 +40,4 @@
   Clark Richards [aut, cph] (<https://orcid.org/0000-0002-7833-206X>),
   WG127 SCOR/IAPSO [aut, cph] (Original 'Matlab' and derived code)
 Repository: CRAN
-Date/Publication: 2022-10-16 11:32:32 UTC
+Date/Publication: 2024-08-19 17:40:02 UTC

## gsw 3.0.1

=== debian/changelog ===
gsw (3.0.1-1) unstable; urgency=low

  * Initial release. (Closes: #696238)

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 17 Dec 2012 19:12:21 +0000

=== debian/control ===
Source: gsw
Section: python
Priority: extra
Maintainer: Alastair McKinstry <mckinstry@debian.org>
Build-Depends: debhelper (>= 8.1.3~), python-all-dev, python3-all-dev
Standards-Version: 3.9.4.0
Homepage:  http://pypi.python.org/pypi/gsw/

Package: python-gsw
Architecture: any
Depends: ${misc:Depends}, ${python:Depends}
Provides: ${python:Provides}
Description: Python implementation of the Thermodynamic Equation of Seawater
 This package implements the TEOS-10 Equation of State for seawater.
 TEOS-10 is based on a Gibbs function formulation from which all
 thermodynamic properties of seawater (density, enthalpy, entropy sound speed, 
 etc.) can be derived in a thermodynamically consistent manner. 
 TEOS-10 was adopted by the Intergovernmental Oceanographic Commission at its
 25th Assembly in June 2009 to replace EOS-80 as the official description of 
 seawater and ice properties in marine science.
 .
 For further information, see http://www.teos-10.org/

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1


# magic debhelper rule
%:
	dh $@ --with python2,python3

override_dh_auto_clean:
	dh_auto_clean
	rm -fr gsw.egg-info

## gsw 3.0.2

=== debian/changelog ===
gsw (3.0.2-2) unstable; urgency=low

  * Need to B-D on python-numpy, python3-numpy. Closes: #718136. 

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 28 Jul 2013 18:05:08 +0100

gsw (3.0.2-1) unstable; urgency=low

  * New upstream release. 
  * Move to DH 9.

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 18 Jul 2013 07:26:49 +0100

gsw (3.0.1-3) unstable; urgency=low

  * Setuptools/distuils causes dpkg to break on upgrade;
    - patch to remove setuptools from setup.py
    - Delete a symlink in python-gsw.preinst to allow upgrades.
      Closes: #709959. 
  * Add X-Python-Version, X-Python3-Version to debian/control.

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 29 May 2013 13:39:32 +0100

gsw (3.0.1-2) unstable; urgency=low

  [ Scott Kitterman ]
  * Add python3-gsw package and adjust debian/rules to actually build for
    both python and python3 as intended.  Closes: #709381.
  * Change from arch any to arch all since there is no arch specific content
  * Drop unneeded python:Provides
  * Add missing depends on python-numpy
  * Update dh_auto_clean override so gsw will build twice in a row

  [ Alastair McKinstry ]
  * Add watch file from Bart Martens.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 23 May 2013 08:07:51 -0400

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,15 @@
 Section: python
 Priority: extra
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
-Build-Depends: debhelper (>= 8.1.3~), python-all-dev, python3-all-dev
+Build-Depends: debhelper (>= 9), python-all, python3-all, python-numpy, python3-numpy
 Standards-Version: 3.9.4.0
+X-Python-Version: >= 2.7
+X-Python3-Version: >= 3.0
 Homepage:  http://pypi.python.org/pypi/gsw/
 
 Package: python-gsw
-Architecture: any
-Depends: ${misc:Depends}, ${python:Depends}
-Provides: ${python:Provides}
+Architecture: all
+Depends: ${misc:Depends}, ${python:Depends}, python-numpy
 Description: Python implementation of the Thermodynamic Equation of Seawater
  This package implements the TEOS-10 Equation of State for seawater.
  TEOS-10 is based on a Gibbs function formulation from which all
@@ -20,3 +21,18 @@
  seawater and ice properties in marine science.
  .
  For further information, see http://www.teos-10.org/
+
+Package: python3-gsw
+Architecture: all
+Depends: ${misc:Depends}, ${python3:Depends}, python3-numpy
+Description: Python 3 implementation of the Thermodynamic Equation of Seawater
+ This package implements the TEOS-10 Equation of State for seawater.
+ TEOS-10 is based on a Gibbs function formulation from which all
+ thermodynamic properties of seawater (density, enthalpy, entropy sound speed,
+ etc.) can be derived in a thermodynamically consistent manner.
+ TEOS-10 was adopted by the Intergovernmental Oceanographic Commission at its
+ 25th Assembly in June 2009 to replace EOS-80 as the official description of
+ seawater and ice properties in marine science.
+ .
+ For further information, see http://www.teos-10.org/
+

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,17 @@
 %:
 	dh $@ --with python2,python3
 
+override_dh_auto_install:
+	set -e && for pyvers in $(shell pyversions -sv); do \
+	  python$$pyvers setup.py install --install-layout=deb \
+	    --root $(CURDIR)/debian/python-gsw; \
+        done
+	set -e && for py3vers in $(shell py3versions -sv); do \
+	  python$$py3vers setup.py install --install-layout=deb \
+	    --root $(CURDIR)/debian/python3-gsw; \
+        done
+
 override_dh_auto_clean:
 	dh_auto_clean
 	rm -fr gsw.egg-info
+	rm -fr build

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/g/gsw/gsw-(.+).tar.gz

## gsw 3.0.3

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/seawater.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/seawater.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
gsw (3.0.3-2) unstable; urgency=medium

  * Move to Standards-VersioN: 3.9.6
  * Add new redirect-based watch file.
  * Add Vcs-Git: debian-science to debian/control 
  * Add dh-python to build-depends

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 21 Jun 2015 14:56:37 +0100

gsw (3.0.3-1) unstable; urgency=medium

  * New upstream release.
  * Move to Standards-Version: 3.9.5
  * Use 'xz' compression.
  * Update python3.patch.
  * Now need python3-setuptools.

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 30 Apr 2014 21:49:49 +0100

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,13 @@
 Section: python
 Priority: extra
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
-Build-Depends: debhelper (>= 9), python-all, python3-all, python-numpy, python3-numpy
-Standards-Version: 3.9.4.0
+Build-Depends: debhelper (>= 9), dh-python,
+ python-all, python3-all, python-numpy, python3-numpy, python-setuptools, python3-setuptools
+Standards-Version: 3.9.6
 X-Python-Version: >= 2.7
-X-Python3-Version: >= 3.0
+X-Python3-Version: >= 3.3
 Homepage:  http://pypi.python.org/pypi/gsw/
+Vcs-Git: git://git.debian.org/git/debian-science/packages/gsw.git
 
 Package: python-gsw
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,6 @@
 
 # Uncomment this to turn on verbose mode.
 # export DH_VERBOSE=1
-
 
 # magic debhelper rule
 %:

## gsw 3.1.1

=== debian/changelog ===
gsw (3.1.1-2build1) artful; urgency=medium

  * No-change rebuild to build to drop python3.5.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 05 Aug 2017 16:25:25 +0000

gsw (3.1.1-2) unstable; urgency=medium

  * Push to unstable
  * Depend on python3-all-dev

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 19 Jun 2017 04:28:11 +0100

gsw (3.1.1-1) experimental; urgency=medium

  * New upstream release
    - python3 changes now uptream
  * Latest upstream drops python2 support
  * pythion3-gsw is now arch:any as it contains compiled code
  * Need to override some dh_* rules because they call python, not python3.

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 03 May 2017 11:21:21 +0100

gsw (3.0.6-1) experimental; urgency=medium

  * New upstream release.
  * Change Vcs-Git to standard anonscm form 
  * DH_COMPAT=10
  * Standards-Version: 3.9.8. No changes required

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 25 Apr 2017 12:21:03 +0100

=== debian/control ===
Source: gsw
Section: python
Priority: extra
Maintainer: Alastair McKinstry <mckinstry@debian.org>
Build-Depends: debhelper (>= 10), dh-python,
 python3-all-dev, python3-numpy, python3-setuptools
Standards-Version: 3.9.8
X-Python3-Version: >= 3.5
Homepage:  http://pypi.python.org/pypi/gsw/
Vcs-Git: git://anonscm.debian.org/debian-science/packages/gsw.git

Package: python3-gsw
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${python3:Depends}, python3-numpy
Description: Python 3 implementation of the Thermodynamic Equation of Seawater
 This package implements the TEOS-10 Equation of State for seawater.
 TEOS-10 is based on a Gibbs function formulation from which all
 thermodynamic properties of seawater (density, enthalpy, entropy sound speed,
 etc.) can be derived in a thermodynamically consistent manner.
 TEOS-10 was adopted by the Intergovernmental Oceanographic Commission at its
 25th Assembly in June 2009 to replace EOS-80 as the official description of
 seawater and ice properties in marine science.
 .
 For further information, see http://www.teos-10.org/

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# magic debhelper rule
%:
	dh $@ --with python3

override_dh_auto_install:
	set -e && for py3vers in $(shell py3versions -sv); do \
	  python$$py3vers setup.py install --install-layout=deb \
	    --root $(CURDIR)/debian/python3-gsw; \
        done

override_dh_auto_clean:
	# dh_auto_clean avoid bug where this calls python, not python3
	python3 setup.py clean 
	rm -fr gsw.egg-info
	rm -fr build

override_dh_auto_build:
	# ditto.
	python3 setup.py build --force

## gsw 3.2.0

=== debian/changelog ===
gsw (3.2.0-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.1.0; no changes required
  * Add gbp.conf to track branches
  * B-D on python3-dev-all, as C extension now built

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 19 Sep 2017 09:13:22 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
 Build-Depends: debhelper (>= 10), dh-python,
  python3-all-dev, python3-numpy, python3-setuptools
-Standards-Version: 3.9.8
+Standards-Version: 4.1.0
 X-Python3-Version: >= 3.5
 Homepage:  http://pypi.python.org/pypi/gsw/
 Vcs-Git: git://anonscm.debian.org/debian-science/packages/gsw.git

=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,7 @@
 	# dh_auto_clean avoid bug where this calls python, not python3
 	python3 setup.py clean 
 	rm -fr gsw.egg-info
-	rm -fr build
+	rm -fr build __pycache__
 
 override_dh_auto_build:
 	# ditto.

## gsw 3.2.1

=== debian/changelog ===
gsw (3.2.1-2) unstable; urgency=medium

  * Rebuild against python3.7, numpy
  * Drop obsolete X-Python3-Version in d/control

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 01 Jul 2018 19:35:48 +0100

gsw (3.2.1-1) unstable; urgency=medium

  * New upstream release
  * Change Priority: extra to Optional
  * Standards-Version: 4.1.4
  * Move VCS to salsa.debian.org

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 05 Jun 2018 08:29:20 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,16 @@
 Source: gsw
 Section: python
-Priority: extra
+Priority: optional
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
-Build-Depends: debhelper (>= 10), dh-python,
- python3-all-dev, python3-numpy, python3-setuptools
-Standards-Version: 4.1.0
-X-Python3-Version: >= 3.5
-Homepage:  http://pypi.python.org/pypi/gsw/
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/gsw.git
+Build-Depends: debhelper (>= 10),
+ dh-python,
+ python3-all-dev,
+ python3-numpy,
+ python3-setuptools
+Standards-Version: 4.1.4
+Homepage:  https://pypi.python.org/pypi/gsw/
+Vcs-Browser: https://salsa.debian.org:/science-team/gsw.git
+Vcs-Git: https://salsa.debian.org:/science-team/gsw.git
 
 Package: python3-gsw
 Architecture: any

## gsw 3.3.0

=== debian/changelog ===
gsw (3.3.0-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.3.0

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 02 Feb 2019 10:56:37 +0000

## gsw 3.3.1

=== debian/changelog ===
gsw (3.3.1-1build2) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 10:19:48 +0100

gsw (3.3.1-1build1) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 18 Oct 2019 18:40:52 +0000

gsw (3.3.1-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 13 Jun 2019 14:21:01 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  python3-all-dev,
  python3-numpy,
  python3-setuptools
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Homepage:  https://pypi.python.org/pypi/gsw/
 Vcs-Browser: https://salsa.debian.org:/science-team/gsw.git
 Vcs-Git: https://salsa.debian.org:/science-team/gsw.git

## gsw 3.4.0

=== debian/changelog ===
gsw (3.4.0-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.5.0
  * Use debhelpe-compat (=13)
  * Use dh-sequence-python3, rather than --with python3, dh-python
  * Use pybuild for dh 13
  * Add d/gpb.conf to track DEP-14 branch names
  * Add Debian python team as Uploader(s)

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 24 Sep 2020 16:54:07 +0100

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,16 @@
 Section: python
 Priority: optional
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
-Build-Depends: debhelper (>= 10),
- dh-python,
+Uploaders: Debian Python team <team+python@tracker.debian.org>
+Build-Depends: debhelper-compat (= 13),
+ dh-sequence-python3,
  python3-all-dev,
  python3-numpy,
  python3-setuptools
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Homepage:  https://pypi.python.org/pypi/gsw/
 Vcs-Browser: https://salsa.debian.org:/science-team/gsw.git
-Vcs-Git: https://salsa.debian.org:/science-team/gsw.git
+Vcs-Git: https://salsa.debian.org:/science-team/gsw.git -b debian/latest
 
 Package: python3-gsw
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 # magic debhelper rule
 %:
-	dh $@ --with python3
+	dh $@ --buildsystem=pybuild
 
 override_dh_auto_install:
 	set -e && for py3vers in $(shell py3versions -sv); do \

## gsw 3.6.16

=== debian/changelog ===
gsw (3.6.16-1) unstable; urgency=medium

  * New upstream release
  * Add call to dh_numpy3 to add ABI dependency
  * Standards-Version: 4.6.1

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 14 Oct 2022 08:20:07 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  python3-all-dev,
  python3-numpy,
  python3-setuptools
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Homepage:  https://pypi.python.org/pypi/gsw/
 Vcs-Browser: https://salsa.debian.org:/science-team/gsw.git
 Vcs-Git: https://salsa.debian.org:/science-team/gsw.git -b debian/latest

## gsw 3.6.17

=== debian/changelog ===
gsw (3.6.17-1build1) noble; urgency=medium

  * No-change rebuild to build with python3.12 as supported.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 02 Nov 2023 09:20:36 +0100

gsw (3.6.17-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.6.2

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 23 Jun 2023 09:52:00 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  python3-all-dev,
  python3-numpy,
  python3-setuptools
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage:  https://pypi.python.org/pypi/gsw/
 Vcs-Browser: https://salsa.debian.org:/science-team/gsw.git
 Vcs-Git: https://salsa.debian.org:/science-team/gsw.git -b debian/latest

## gsw 3.6.18

=== debian/changelog ===
gsw (3.6.18-1) unstable; urgency=medium

  * New upstream release
  * Set Debian Science Maint. as maintainer
  * Fix broken vcs url
  * Standards-Version: 4.7.0; no changes required

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 23 May 2024 11:48:35 +0100

## gsw 3.6.19

=== debian/changelog ===
gsw (3.6.19-1build3) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 17:23:47 +0000

gsw (3.6.19-1build2) plucky; urgency=medium

  * No-change rebuild against python3-numpy2-abi0

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 28 Jan 2025 11:25:03 +0000

gsw (3.6.19-1build1) plucky; urgency=medium

  * No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Nov 2024 19:31:41 +0100

gsw (3.6.19-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 27 Jul 2024 09:41:46 +0100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: gsw
 Section: python
 Priority: optional
-Maintainer: Alastair McKinstry <mckinstry@debian.org>
-Uploaders: Debian Python team <team+python@tracker.debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Alastair McKinstry <mckinstry@debian.org>
 Build-Depends: debhelper-compat (= 13),
  dh-sequence-python3,
  python3-all-dev,
  python3-numpy,
  python3-setuptools
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage:  https://pypi.python.org/pypi/gsw/
-Vcs-Browser: https://salsa.debian.org:/science-team/gsw.git
-Vcs-Git: https://salsa.debian.org:/science-team/gsw.git -b debian/latest
+Vcs-Browser: https://salsa.debian.org/science-team/gsw.git
+Vcs-Git: https://salsa.debian.org/science-team/gsw.git -b debian/latest
 
 Package: python3-gsw
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,7 @@
 	  python$$py3vers setup.py install --install-layout=deb \
 	    --root $(CURDIR)/debian/python3-gsw; \
         done
+	dh_numpy3
 
 override_dh_auto_clean:
 	# dh_auto_clean avoid bug where this calls python, not python3

## gsw 3.6.20

=== debian/changelog ===
gsw (3.6.20-1) unstable; urgency=medium

  * Standards-Version: 4.7.2
  * New upstream release
  * B-D on python3-numpy-dev for dh_numpy3
  * Clean properly to allow repeated build. Closes: #1044917

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 16 Aug 2025 11:16:50 +0100

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,10 @@
 Build-Depends: debhelper-compat (= 13),
  dh-sequence-python3,
  python3-all-dev,
+ python3-numpy-dev,
  python3-numpy,
  python3-setuptools
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage:  https://pypi.python.org/pypi/gsw/
 Vcs-Browser: https://salsa.debian.org/science-team/gsw.git
 Vcs-Git: https://salsa.debian.org/science-team/gsw.git -b debian/latest

=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,7 @@
 override_dh_auto_clean:
 	# dh_auto_clean avoid bug where this calls python, not python3
 	python3 setup.py clean 
-	rm -fr gsw.egg-info
+	rm -fr gsw.egg-info .pybuild
 	rm -fr build __pycache__
 
 override_dh_auto_build:

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/gsw/gsw-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## gsw 3.6.21

=== debian/changelog ===
gsw (3.6.21-1) unstable; urgency=medium

  * New upstream release
  * Create d/gbp.conf pristine-tar=True
  * Move d/watch to version 5, from github not pypi
  * Change homepage to github repo from pypi
  * Standards-Version: 4.7.3
  * Drop priority: optional
  * Move the d/copyright to DEP5

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 27 Feb 2026 15:23:07 +0000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: gsw
 Section: python
-Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Alastair McKinstry <mckinstry@debian.org>
 Build-Depends: debhelper-compat (= 13),
@@ -9,9 +8,9 @@
  python3-numpy-dev,
  python3-numpy,
  python3-setuptools
-Standards-Version: 4.7.2
-Homepage:  https://pypi.python.org/pypi/gsw/
-Vcs-Browser: https://salsa.debian.org/science-team/gsw.git
+Standards-Version: 4.7.3
+Homepage:  https://https://github.com/TEOS-10/GSW-python
+Vcs-Browser: https://salsa.debian.org/science-team/gsw
 Vcs-Git: https://salsa.debian.org/science-team/gsw.git -b debian/latest
 
 Package: python3-gsw

=== debian/watch ===
Version: 5
Template: GitHub
Dist: https://github.com/TEOS-10/GSW-python
